{* Smarty *}
{* To enable AJAX this table must have an id of "trees" and each tree must be between it's own tbody tags; $i.complete must have the class "complete" *}
<table id="trees">
<thead>
	<tr>
		<th>{$smarty.const.LN_NAME}</th>
		<th>{$smarty.const.LN_GEDCOM}</th>
		<th></th>
	</tr>
</thead>
{foreach from=$tree item=i key=k}
<tbody>
	<tr>
		<td>{$i.name}</a></td>
		<td>{if $i.file}{$i.file} ({$i.software} - {$i.charset}){/if}</td>
		<td>{if $i.complete}<div class="complete warning">{$i.complete}</div>{/if}</td>
	</tr>
	<tr>
		<td>
			<strong>{$smarty.const.LN_LAST_UPDATED}:</strong> {$i.last}<br />
			<a href="{$smarty.const.CF_BASE_URL}stats/{$k}">{$smarty.const.LN_STATISTICS}</a>
		</td>
		<td>
			{if $i.file}
				<strong>{$smarty.const.LN_CONC_SPACES_SHORT}</strong> {$i.spaces}<br />
				<strong>{$smarty.const.LN_SPFX_COUNT_SHORT}:</strong> {$i.spfx_count}<br />
				<strong>{$smarty.const.LN_IMPORT_OBJE_SHORT}:</strong> {$i.media}<br />
				<strong>{$smarty.const.LN_MEDIA_LEVELS_SHORT}:</strong> {$i.media_levels}
			{/if}
		</td>
		<td>
			{if $i.process == 1}
				<form action="{$smarty.const.CF_BASE_URL}import" method="post"><input type="hidden" name="s" value="1" /><input type="hidden" name="gd" value="{$i.file}" /><input type="hidden" name="tr" value="{$k}" /><input type="hidden" name="rs" value="1" /><input type="hidden" name="nrp" value="0" /><input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" /></form>
			{elseif $i.process == 2}
				<form action="{$smarty.const.CF_BASE_URL}import" method="post"><input type="hidden" name="s" value="1" /><input type="hidden" name="gd" value="{$i.file}" /><input type="hidden" name="tr" value="{$k}" /><input type="hidden" name="rs" value="0" /><input type="hidden" name="nrp" value="1" /><input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" /></form>
			{/if}
			{if $i.process == 3}
				<a href="{$smarty.const.CF_BASE_URL}deletetree/{$k}">{$smarty.const.LN_CONTINUE}</a>
			{else}
				<a href="{$smarty.const.CF_BASE_URL}deletetree/{$k}">{$smarty.const.LN_DELETE}</a>
			{/if}
		</td>
	</tr>
</tbody>
{/foreach}
</table>